package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.BisHazIdenEvaMapper;
import com.goldenwater.slaj.hazard.domain.BisHazIdenEva;
import com.goldenwater.slaj.hazard.service.IBisHazIdenEvaService;

/**
 * 危险源辨识评价 服务层实现
 */
@Service
public class BisHazIdenEvaServiceImpl implements IBisHazIdenEvaService {

    @Autowired
    private BisHazIdenEvaMapper bisHazIdenEvaMapper;

    /**
     * 查询危险源辨识评价信息
     * @param guid 查询条件
     * @return 危险源辨识评价信息
     */
    @Override
    public BisHazIdenEva selectBisHazIdenEvaByGuid(String guid) {
        return bisHazIdenEvaMapper.selectBisHazIdenEvaByGuid(guid);
    }

    /**
     * 查询危险源辨识评价列表
     * @param bisHazIdenEva 危险源辨识评价查询条件
     * @return 危险源辨识评价集合
     */
    @Override
    public List<BisHazIdenEva> selectBisHazIdenEvaList(BisHazIdenEva bisHazIdenEva) {
        return bisHazIdenEvaMapper.selectBisHazIdenEvaList(bisHazIdenEva);
    }

    /**
     * 新增危险源辨识评价
     * @param bisHazIdenEva 危险源辨识评价信息
     * @return 影响行数
     */
    @Override
    public int insertBisHazIdenEva(BisHazIdenEva bisHazIdenEva) {
        return bisHazIdenEvaMapper.insertBisHazIdenEva(bisHazIdenEva);
    }

    /**
     * 修改危险源辨识评价
     * @param bisHazIdenEva 危险源辨识评价信息
     * @return 影响行数
     */
    @Override
    public int updateBisHazIdenEva(BisHazIdenEva bisHazIdenEva) {
        return bisHazIdenEvaMapper.updateBisHazIdenEva(bisHazIdenEva);
    }

    /**
     * 删除危险源辨识评价
     * @param guid 危险源辨识评价主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHazIdenEvaByGuid(String guid) {
        return bisHazIdenEvaMapper.deleteBisHazIdenEvaByGuid(guid);
    }

    /**
     * 批量删除危险源辨识评价
     * @param guids 危险源辨识评价主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHazIdenEvaByGuids(String[] guids) {
        return bisHazIdenEvaMapper.deleteBisHazIdenEvaByGuids(guids);
    }
}
